# Python Functions



import arcpy, os, sys, traceback

# function definition
def CalcValue(anInteger):

    resultValue = anInteger + 1

    return resultValue


def PrintThis (aNumber, anotherNumber):

        print "The print function prints: " + str(aNumber) + \
              " and " + str(anotherNumber)

    


try:
    
    print "Computing a value..."

    x = 0

    print "Start value is: " + str(x)

    # function call, passing an argument
    # and accepting a returned value
    returnedValue = CalcValue(x)

    print "Returned Value is: " + str(returnedValue)

    # function call, passing two arguments
    # and no value returned
    PrintThis(x, returnedValue)

    print "Completed script."

except:

    print "Check for errors in code."
